org.apache.commons.math.random

## Interface NormalizedRandomGenerator

All Known Implementing Classes:
  GaussianRandomGenerator, UniformRandomGenerator

    public interface NormalizedRandomGenerator

This interface represent a normalized random generator for scalars. Normalized generator provide null mean and unit standard deviation scalars.

Since:
  1.2
Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $

### Method Summary

Methods
`double` `nextNormalizedDouble()` Generate a random scalar with null mean and unit standard deviation.

### Method Detail

#### nextNormalizedDouble

    double nextNormalizedDouble()

Generate a random scalar with null mean and unit standard deviation.

This method does not specify the shape of the distribution, it is the implementing class that provides it. The only contract here is to generate numbers with null mean and unit standard deviation.

Returns:
  a random scalar with null mean and unit standard deviation